From dc383eff82df24ebae8572c8884e0f3b56ac38ff Mon Sep 17 00:00:00 2001
From: Leo Yan <leo.yan@linaro.org>
Date: Thu, 13 Apr 2023 08:01:07 +0000
Subject: [PATCH] Fixup smmu-v3

Signed-off-by: Leo Yan <leo.yan@linaro.org>
---
 xen/drivers/passthrough/arm/smmu-v3.c | 46 +++++++++++++--------------
 1 file changed, 23 insertions(+), 23 deletions(-)

diff --git a/xen/drivers/passthrough/arm/smmu-v3.c b/xen/drivers/passthrough/arm/smmu-v3.c
index d58c5cd0bf..aa91a1914c 100644
--- a/xen/drivers/passthrough/arm/smmu-v3.c
+++ b/xen/drivers/passthrough/arm/smmu-v3.c
@@ -2339,38 +2339,38 @@ static int arm_smmu_device_hw_probe(struct arm_smmu_device *smmu)
 }

 #ifdef CONFIG_ACPI
-static void acpi_smmu_get_options(u32 model, struct arm_smmu_device *smmu)
-{
-	switch (model) {
-	case ACPI_IORT_SMMU_V3_CAVIUM_CN99XX:
-		smmu->options |= ARM_SMMU_OPT_PAGE0_REGS_ONLY;
-		break;
-	case ACPI_IORT_SMMU_V3_HISILICON_HI161X:
-		smmu->options |= ARM_SMMU_OPT_SKIP_PREFETCH;
-		break;
-	}
-
-	dev_notice(smmu->dev, "option mask 0x%x\n", smmu->options);
-}
+//static void acpi_smmu_get_options(u32 model, struct arm_smmu_device *smmu)
+//{
+//	switch (model) {
+//	case ACPI_IORT_SMMU_V3_CAVIUM_CN99XX:
+//		smmu->options |= ARM_SMMU_OPT_PAGE0_REGS_ONLY;
+//		break;
+//	case ACPI_IORT_SMMU_V3_HISILICON_HI161X:
+//		smmu->options |= ARM_SMMU_OPT_SKIP_PREFETCH;
+//		break;
+//	}
+//
+//	dev_notice(smmu->dev, "option mask 0x%x\n", smmu->options);
+//}

 static int arm_smmu_device_acpi_probe(struct platform_device *pdev,
				      struct arm_smmu_device *smmu)
 {
-	struct acpi_iort_smmu_v3 *iort_smmu;
-	struct device *dev = smmu->dev;
-	struct acpi_iort_node *node;
+	//struct acpi_iort_smmu_v3 *iort_smmu;
+	//struct device *dev = smmu->dev;
+	//struct acpi_iort_node *node;

-	node = *(struct acpi_iort_node **)dev_get_platdata(dev);
+	//node = *(struct acpi_iort_node **)dev_get_platdata(dev);

-	/* Retrieve SMMUv3 specific data */
-	iort_smmu = (struct acpi_iort_smmu_v3 *)node->node_data;
+	///* Retrieve SMMUv3 specific data */
+	//iort_smmu = (struct acpi_iort_smmu_v3 *)node->node_data;

-	acpi_smmu_get_options(iort_smmu->model, smmu);
+	//acpi_smmu_get_options(iort_smmu->model, smmu);

-	if (iort_smmu->flags & ACPI_IORT_SMMU_V3_COHACC_OVERRIDE)
-		smmu->features |= ARM_SMMU_FEAT_COHERENCY;
+	//if (iort_smmu->flags & ACPI_IORT_SMMU_V3_COHACC_OVERRIDE)
+	//	smmu->features |= ARM_SMMU_FEAT_COHERENCY;

-	return 0;
+	return -1;
 }
 #else
 static inline int arm_smmu_device_acpi_probe(struct platform_device *pdev,
--
2.39.2
